"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b372fc0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373100>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373060>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3731a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3732e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373380>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373420>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3734c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373560>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373600>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3736a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373740>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3737e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373880>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373920>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3739c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373a60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373b00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373ba0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373c40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373ce0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373d80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373e20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373ec0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b373f60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc0e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc180>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc220>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc2c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc360>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc400>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc4a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc540>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc5e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc680>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc720>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc7c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc860>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc900>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cc9a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cca40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccae0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccb80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccc20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cccc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccd60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cce00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccea0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccf40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ccfe0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd080>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd120>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd1c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd260>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd300>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd3a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd440>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd4e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd580>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd620>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd6c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd760>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd800>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd8a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd940>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cd9e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cda80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdb20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdbc0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdc60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdd00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdda0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cde40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3cdf80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce020>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce0c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce200>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce160>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce2a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce340>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce3e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb43b3ce480>)]
name: str = 'fr_HOCCN'
